{% extends "template.html" %}
{% block content %}

{% if posts|length > 0 %}
  <small class="nav-link">{{posts|length}} Results</small>
{% endif %}

<div class="container" id="contenuti" style="background-color:white; bordercolor:gray; position:relative; height:auto; max-height:67%; overflow:scroll;">

  {% set counter = 1 %}
  {% for post in posts%}
    {% set counter = counter + loop.index0 %}
    <article class="media content-section" style="padding:6px;" id="{{counter}}">
      <div class="badge badge-light" class="media-body" style="left:5%; width:100%; display:block; padding:6px; margin:6px; text-align:left; overflow:hidden;">
        <div class="article-metadata">
          <a class="mr-2" style="color:#007bff;" class="article-title">{{post["_source"]["topic"]}}</a>
          <a class="text-right">{{post["_source"]["created"]}}</a>  <a style="color:#0027ff;" class="text-right">{{post["_source"]["country"]}}</a>
           <a style="position:absolute; left:70%; color:#3140b8;" class="text-right">Rank: {{counter}}</a>
          <a style="position:absolute; left:80%; color:#3200b8;" class="text-right">RSV: {{post["_score"]}}</a>
        </div>
        <h5><small>user: </small><a href='https://www.twitter.com/{{post["_source"]["user"]}}' style="color:#428bca;" target="_blank">{{post["_source"]["user"]}}</a></h5>
        <h6 class="article-content">{{post["_source"]["tweet_text"]}}</h6>
      </div>
    </article>
  {% endfor %}
</div>
{% if posts|length ==0 %}
  <h4 class="nav-link">No results found</h4>
{% endif %}
<br>
<ul class="pagination pagination-sm" style="position:relative;">
  {% for num_p in range(0,num_page)%}
      <li class="page-item"><a class="page-link" href="#{{(num_p)*10+1}}">{{num_p+1}}</a></li>
  {% endfor %}
</ul>
{% endblock content %}
